Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.interceptor
Interface TransactionAttributeSource

All Known Implementing Classes:
  AbstractFallbackTransactionAttributeSource, AnnotationTransactionAttributeSource, CompositeTransactionAttributeSource, MatchAlwaysTransactionAttributeSource, MethodMapTransactionAttributeSource, NameMatchTransactionAttributeSource

    public interface TransactionAttributeSource

Interface used by TransactionInterceptor. Implementations know how to source transaction attributes, whether from configuration, metadata attributes at source level, or anywhere else.

Since:
  15.04.2003
Author:
  Rod Johnson
See Also:
  `TransactionAspectSupport.setTransactionAttributeSource(org.springframework.transaction.interceptor.TransactionAttributeSource)`, `TransactionProxyFactoryBean.setTransactionAttributeSource(org.springframework.transaction.interceptor.TransactionAttributeSource)`

Method Summary
`TransactionAttribute` | `getTransactionAttribute(java.lang.reflect.Method method, java.lang.Class<?> targetClass)` Return the transaction attribute for this method.

Method Detail

### getTransactionAttribute

    TransactionAttribute getTransactionAttribute(java.lang.reflect.Method method,
                                                 java.lang.Class<?> targetClass)

  Return the transaction attribute for this method. Return null if the method is non-transactional.

  Parameters:
    `method` - method
    `targetClass` - target class. May be `null`, in which case the declaring class of the method must be used.
  Returns:
    TransactionAttribute the matching transaction attribute, or `null` if none found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD